#!/bin/bash

date +%s > /tmp/.rpiRouterData_initDate

while [[ 42 ]]; do

	DD=$(date '+%d')
	HH=$(date '+%H')

	#/root/routing/.netBalancer
	#LASTSEEN=$(date +%s)
	SECDATE=$(date +%s)

	## Uptime NC
    INIT_SEC=$(cat /tmp/.rpiRouterData_initDate)
    UPTM_DIF=$((SECDATE-INIT_SEC))
    UPTM_DIF_HUMAN=$(printf '%dh %dm %ds\n' $(($UPTM_DIF/3600)) $(($UPTM_DIF%3600/60)) $(($UPTM_DIF%60)))


	/usr/bin/vnstat -tr -i eth0 > /tmp/.eth0_stat
	/usr/bin/vnstat -tr -i eth1 > /tmp/.eth1_stat

	N_RTR_COL='192.168.0.250'
	N_RTR_PRD='192.168.1.254'
	A_RTR='192.168.0.251'
	B_RTR='192.168.0.252'

	PERF_API_URL='/api/netPerfs.json'
	DATA_API_URL='/api/netData.json'
	LIGHT_API_URL='/api/lightApi.json'
	SPEED_API_URL='/api/speedTest.json'

	### DATA
	A_RTR_CURL_DATA_URL=$(echo "http://"$A_RTR$DATA_API_URL)
	B_RTR_CURL_DATA_URL=$(echo "http://"$B_RTR$DATA_API_URL)

	A_RTR_CURL_DATA=$(/usr/bin/curl --connect-timeout 1 -s $A_RTR_CURL_DATA_URL)
	B_RTR_CURL_DATA=$(/usr/bin/curl --connect-timeout 1 -s $B_RTR_CURL_DATA_URL)

	### PERFS
	A_RTR_CURL_URL=$(echo "http://"$A_RTR$PERF_API_URL)
	B_RTR_CURL_URL=$(echo "http://"$B_RTR$PERF_API_URL)

	A_RTR_CURL=$(/usr/bin/curl --connect-timeout 1 -s $A_RTR_CURL_URL)
	B_RTR_CURL=$(/usr/bin/curl --connect-timeout 1 -s $B_RTR_CURL_URL)

	### LIGHTNING
	A_RTR_CURL_LIGHT_URL=$(echo "http://"$A_RTR$LIGHT_API_URL)
	B_RTR_CURL_LIGHT_URL=$(echo "http://"$B_RTR$LIGHT_API_URL)

	A_RTR_CURL_LIGHT=$(/usr/bin/curl --connect-timeout 1 -s $A_RTR_CURL_LIGHT_URL)
	B_RTR_CURL_LIGHT=$(/usr/bin/curl --connect-timeout 1 -s $B_RTR_CURL_LIGHT_URL)

	### SPEED TEST
	A_RTR_CURL_SPEED_URL=$(echo "http://"$A_RTR$SPEED_API_URL)
	B_RTR_CURL_SPEED_URL=$(echo "http://"$B_RTR$SPEED_API_URL)

	A_RTR_CURL_SPEED=$(/usr/bin/curl --connect-timeout 1 -s $A_RTR_CURL_SPEED_URL)
	B_RTR_CURL_SPEED=$(/usr/bin/curl --connect-timeout 1 -s $B_RTR_CURL_SPEED_URL)

	## Uptime - Seconds & Hooman
	A_RTR_CURL_LIGHT_UPT=$(echo $A_RTR_CURL_LIGHT | jq -r '.uptime')
	B_RTR_CURL_LIGHT_UPT=$(echo $B_RTR_CURL_LIGHT | jq -r '.uptime')

	A_RTR_CURL_LIGHT_UPT_HUMAN=$(printf '%dh %dm %ds\n' $(($A_RTR_CURL_LIGHT_UPT/3600)) $(($A_RTR_CURL_LIGHT_UPT%3600/60)) $(($A_RTR_CURL_LIGHT_UPT%60)))
	B_RTR_CURL_LIGHT_UPT_HUMAN=$(printf '%dh %dm %ds\n' $(($B_RTR_CURL_LIGHT_UPT/3600)) $(($B_RTR_CURL_LIGHT_UPT%3600/60)) $(($B_RTR_CURL_LIGHT_UPT%60)))

	HH_USED=$(cat /root/api/api_data/HH_USED)
	DD_USED=$(cat /root/api/api_data/DD_USED)
	DD_USED_A=$(cat /root/api/api_data/DD_USED_A)
	DD_USED_B=$(cat /root/api/api_data/DD_USED_B)

	## Need
	# Data collection : Every 10 seconds.
	# Literal Explaination : We need to reduce calls towards 4G Routers (so we need to call it and store the results and use the NC as a relay).
	#
	# For both Nodes :
	# - Data Max - OK
	# - Data Consummed - OK
	# - Upload/Dl Speed (maybe on another API ?) - just slow ? Fine then :) - OK
	# - Upload/Dl Packets (maybe on another API ?) - OK
	#
	# Aggregated data (computed)
	# - Data consumed today : rpiSetConsumedData.sh will put the added Consumed value from both Hosts in a file @ 23h59 everyday.
	#							Then we need to do Actual Consumption-Data from midight
	# - Data consumed last hour : rpiSetConsumedData.sh will put the added " " " " into an hour file.
	#
	# Netcore NetBalancing Data
	# - What is used node (software output).
	# - Ping status from nodes - OK
	# - What is the actual active node (traceroute -m 1 result)
	# - what is the status of the soft
	# - what is the mode of the soft
	#

	## DATA USED
	A_RTR_CURL_DATA_USED=$(echo $A_RTR_CURL_DATA | jq -r '.gb')
	B_RTR_CURL_DATA_USED=$(echo $B_RTR_CURL_DATA | jq -r '.gb')

	## DATA MAX
	A_RTR_CURL_DATA_MAX=$(echo $A_RTR_CURL_DATA | jq -r '.data_max_gb')
	B_RTR_CURL_DATA_MAX=$(echo $B_RTR_CURL_DATA | jq -r '.data_max_gb')

	## DATA ETH GB
	A_RTR_CURL_DATA_ETH_GB=$(echo $A_RTR_CURL_DATA | jq -r '.gb_eth')
	B_RTR_CURL_DATA_ETH_GB=$(echo $B_RTR_CURL_DATA | jq -r '.gb_eth')

	## TOTAL DATA USED
	TOTAL_DATA_USED=$((A_RTR_CURL_DATA_USED+B_RTR_CURL_DATA_USED))
	TOTAL_DATA_MAX=$((A_RTR_CURL_DATA_MAX+B_RTR_CURL_DATA_MAX))

	### Included 03 07 23 - All time data
	A_ALLTIME_DATA_RX=$(echo $A_RTR_CURL_DATA | jq -r '.allTime_rx')
	A_ALLTIME_DATA_TX=$(echo $A_RTR_CURL_DATA | jq -r '.allTime_tx')
	A_ALLTIME_DATA_TT=$(echo $A_RTR_CURL_DATA | jq -r '.allTime_total')

	## USED TODAY/HOUR
	USED_HOUR=$((TOTAL_DATA_USED-HH_USED))
	USED_TODAY=$((TOTAL_DATA_USED-DD_USED))
	USED_TODAY_A=$((A_RTR_CURL_DATA_USED-DD_USED_A))
	USED_TODAY_B=$((B_RTR_CURL_DATA_USED-DD_USED_B))

	## USAGE PERCENT
	A_DATA_USAGE_PERCENT=$(awk "BEGIN { pc=100*${A_RTR_CURL_DATA_USED}/${A_RTR_CURL_DATA_MAX}; i=int(pc); print (pc-i<0.5)?i:i+1 }")
	B_DATA_USAGE_PERCENT=$(awk "BEGIN { pc=100*${B_RTR_CURL_DATA_USED}/${B_RTR_CURL_DATA_MAX}; i=int(pc); print (pc-i<0.5)?i:i+1 }")
	TOTAL_DATA_USAGE_PERCENT=$(((1+A_DATA_USAGE_PERCENT+B_DATA_USAGE_PERCENT)/2))

	## SYSTEM PERFS
	A_RTR_CURL_CPU=$(echo $A_RTR_CURL | jq -r '.cpu')
	B_RTR_CURL_CPU=$(echo $B_RTR_CURL | jq -r '.cpu')
	A_RTR_CURL_RAM=$(echo $A_RTR_CURL | jq -r '.ram')
	B_RTR_CURL_RAM=$(echo $B_RTR_CURL | jq -r '.ram')
	A_RTR_CURL_HDD=$(echo $A_RTR_CURL | jq -r '.hdd')
	B_RTR_CURL_HDD=$(echo $B_RTR_CURL | jq -r '.hdd')

	## PING STATUS
	A_RTR_CURL_PING_STATUS=$(echo $A_RTR_CURL | jq -r '.server_1 | .status')
	B_RTR_CURL_PING_STATUS=$(echo $B_RTR_CURL | jq -r '.server_1 | .status')
	A_RTR_CURL_PING_MS=$(echo $A_RTR_CURL | jq -r '.server_1 | .ms')
	B_RTR_CURL_PING_MS=$(echo $B_RTR_CURL | jq -r '.server_1 | .ms')


	## TX
	A_RTR_CURL_TX=$(echo $A_RTR_CURL | jq -r '.tx')
	B_RTR_CURL_TX=$(echo $B_RTR_CURL | jq -r '.tx')
	A_RTR_CURL_TX_SPEED=$(echo $A_RTR_CURL_TX | jq -r '.speed')
	B_RTR_CURL_TX_SPEED=$(echo $B_RTR_CURL_TX | jq -r '.speed')
	A_RTR_CURL_TX_PCKTS=$(echo $A_RTR_CURL_TX | jq -r '.pckts')
	B_RTR_CURL_TX_PCKTS=$(echo $B_RTR_CURL_TX | jq -r '.pckts')
	#A_RTR_CURL_TX_SPEED_NB=$(echo $A_RTR_CURL_TX_SPEED | cut -d '.' -f 1)
	#B_RTR_CURL_TX_SPEED_NB=$(echo $B_RTR_CURL_TX_SPEED | cut -d '.' -f 1)
	#A_RTR_CURL_TX_PCKTS_NB=$(echo $A_RTR_CURL_TX_PCKTS | cut -d ' ' -f 1)
	#B_RTR_CURL_TX_PCKTS_NB=$(echo $B_RTR_CURL_TX_PCKTS | cut -d ' ' -f 1)
	A_RTR_CURL_TX_SPEED_NB=$(echo $A_RTR_CURL_TX_SPEED | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	B_RTR_CURL_TX_SPEED_NB=$(echo $B_RTR_CURL_TX_SPEED | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	A_RTR_CURL_TX_PCKTS_NB=$(echo $A_RTR_CURL_TX_PCKTS | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	B_RTR_CURL_TX_PCKTS_NB=$(echo $B_RTR_CURL_TX_PCKTS | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	TOTAL_TX_SPEED=$((A_RTR_CURL_TX_SPEED_NB+B_RTR_CURL_TX_SPEED_NB))
	TOTAL_TX_PCKTS=$((A_RTR_CURL_TX_PCKTS_NB+B_RTR_CURL_TX_PCKTS_NB))


	## RX
	A_RTR_CURL_RX=$(echo $A_RTR_CURL | jq -r '.rx')
	B_RTR_CURL_RX=$(echo $B_RTR_CURL | jq -r '.rx')
	A_RTR_CURL_RX_SPEED=$(echo $A_RTR_CURL_RX | jq -r '.speed')
	B_RTR_CURL_RX_SPEED=$(echo $B_RTR_CURL_RX | jq -r '.speed')
	A_RTR_CURL_RX_PCKTS=$(echo $A_RTR_CURL_RX | jq -r '.pckts')
	B_RTR_CURL_RX_PCKTS=$(echo $B_RTR_CURL_RX | jq -r '.pckts')
	## Bugfix 04 06 21 : Error with new format expressed in bits/s some time, plus we need more accuracy with kbps
	## | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}'
	#A_RTR_CURL_RX_SPEED_NB=$(echo $A_RTR_CURL_RX_SPEED | cut -d '.' -f 1)
	#B_RTR_CURL_RX_SPEED_NB=$(echo $B_RTR_CURL_RX_SPEED | cut -d '.' -f 1)
	#A_RTR_CURL_RX_PCKTS_NB=$(echo $A_RTR_CURL_RX_PCKTS | cut -d ' ' -f 1)
	#B_RTR_CURL_RX_PCKTS_NB=$(echo $B_RTR_CURL_RX_PCKTS | cut -d ' ' -f 1)
	A_RTR_CURL_RX_SPEED_NB=$(echo $A_RTR_CURL_RX_SPEED | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	B_RTR_CURL_RX_SPEED_NB=$(echo $B_RTR_CURL_RX_SPEED | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	A_RTR_CURL_RX_PCKTS_NB=$(echo $A_RTR_CURL_RX_PCKTS | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	B_RTR_CURL_RX_PCKTS_NB=$(echo $B_RTR_CURL_RX_PCKTS | cut -d ' ' -f 1| tr '.' ' ' | awk '{print $1$2}')
	TOTAL_RX_SPEED=$((A_RTR_CURL_RX_SPEED_NB+B_RTR_CURL_RX_SPEED_NB))
	TOTAL_RX_PCKTS=$((A_RTR_CURL_RX_PCKTS_NB+B_RTR_CURL_RX_PCKTS_NB))

	## NETCORE RX/TX
	#ETH0
	E0TX_SPEED=$(cat /tmp/.eth0_stat | grep "tx" | awk '{print $2" "$3" "substr ($10, 1, 1)}')
	E0TX_PCKTS=$(cat /tmp/.eth0_stat | grep "tx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')
	E0RX_SPEED=$(cat /tmp/.eth0_stat | grep "rx" | awk '{print $2" "$3" "substr ($10, 1, 1)}')
	E0RX_PCKTS=$(cat /tmp/.eth0_stat | grep "rx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')

	#ETH1
	E1TX_SPEED=$(cat /tmp/.eth1_stat | grep "tx" | awk '{print $2" "$3" "substr ($10, 1, 1)}')
	E1TX_PCKTS=$(cat /tmp/.eth1_stat | grep "tx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')
	E1RX_SPEED=$(cat /tmp/.eth1_stat | grep "rx" | awk '{print $2" "$3" "substr ($10, 1, 1)}')
	E1RX_PCKTS=$(cat /tmp/.eth1_stat | grep "rx" | awk '{print $4" "$5" "substr ($10, 1, 1)}')


	## Netcore Data Transited
	# ETH0
	NC_E0_TODAY=$(/usr/bin/vnstat -D -i eth0 | grep 'today')
	NC_E0_TOTAL_TODAY=$(echo $NC_E0_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $3 }' | /usr/bin/xargs)
	NC_E0_RX_TODAY=$(echo $NC_E0_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $1 }' | /usr/bin/xargs | cut -d ' ' -f 2-3)
	NC_E0_TX_TODAY=$(echo $NC_E0_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $2 }' | /usr/bin/xargs)
	NC_E0_AVGRATE_TODAY=$(echo $NC_E0_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $4 }' | /usr/bin/xargs)

	# ETH1
	NC_E1_TODAY=$(/usr/bin/vnstat -D -i eth1 | grep 'today')
	NC_E1_TOTAL_TODAY=$(echo $NC_E1_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $3 }' | /usr/bin/xargs)
	NC_E1_RX_TODAY=$(echo $NC_E1_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $1 }' | /usr/bin/xargs | cut -d ' ' -f 2-3)
	NC_E1_TX_TODAY=$(echo $NC_E1_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $2 }' | /usr/bin/xargs)
	NC_E1_AVGRATE_TODAY=$(echo $NC_E1_TODAY | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $4 }' | /usr/bin/xargs)

	# Monthly Collect
	NC_E0_MONTH=$(/usr/bin/vnstat -m -i eth0 | grep `date +"%h"`)
	#NC_E0_MONTH_RX=$(echo $NC_E0_MONTH | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $3 }' | /usr/bin/xargs | cut -d ' ' -f 2-3)
	NC_E0_MONTH_RX=$(echo $NC_E0_MONTH | /usr/bin/awk 'BEGIN { FS = "|" } ; { print $1 }' | cut -d ' ' -f 3-4 | /usr/bin/xargs)
	NC_E0_MONTH_TX=$(echo $NC_E0_MONTH |  /usr/bin/awk 'BEGIN { FS = "|" } ; { print $2 }' | /usr/bin/xargs)
	NC_E0_MONTH_TOTAL=$(echo $NC_E0_MONTH |  /usr/bin/awk 'BEGIN { FS = "|" } ; { print $3 }' | /usr/bin/xargs)
	NC_E0_MONTH_AVGRATE=$(echo $NC_E0_MONTH |  /usr/bin/awk 'BEGIN { FS = "|" } ; { print $4 }' | /usr/bin/xargs)

	# NETBALANCER
	## LAST SEEN
	LASTSEEN=$(cat /root/routing/.netBalancer/lastSeen)
	LS_DIFF=$(((SECDATE+11-LASTSEEN)))

	## REAL NODE
	REALNODE=$(/usr/bin/traceroute -m 1 facebook.com | tail -n 1 | awk {'print $2$3'})

	## Modes
	NB_MODE=$(cat /root/routing/.netBalancer/mode)
	NB_USING=$(cat /root/routing/.netBalancer/using_node)
	if [[ $NB_USING == "192.168.0.251" ]]; then
		NB_USING="rpi-router-a"
	elif [[ $NB_USING == "192.168.0.252" ]]; then
		NB_USING="rpi-router-b"
	fi

	## NETCORE Perfs
	CPU=$(top -b -n1 | grep "Cpu(s)" | awk '{print $2 + $4}')
		FREE_DATA=`free -m | grep Mem`
		CURRENT=`echo $FREE_DATA | cut -f3 -d' '`
		TOTAL=`echo $FREE_DATA | cut -f2 -d' '`
	RAM=$(echo "scale = 2; $CURRENT/$TOTAL*100" | bc)
	HDD=$(df -lh | awk '{if ($6 == "/") { print $5 }}' | head -1 | cut -d'%' -f1)
	#UPTM_DIF

	## Speed Test Related
	#A_RTR_CURL_SPEED
	A_RTR_CURL_SPEED_UP=$(echo $A_RTR_CURL_SPEED | jq -r '.upload')
	A_RTR_CURL_SPEED_DL=$(echo $A_RTR_CURL_SPEED | jq -r '.download')
	A_RTR_CURL_SPEED_LT=$(echo $A_RTR_CURL_SPEED | jq -r '.latency_ms')
	A_RTR_CURL_SPEED_LJ=$(echo $A_RTR_CURL_SPEED | jq -r '.latency_jitter')

	#B_RTR_CURL_SPEED
	B_RTR_CURL_SPEED_UP=$(echo $B_RTR_CURL_SPEED | jq -r '.upload')
	B_RTR_CURL_SPEED_DL=$(echo $B_RTR_CURL_SPEED | jq -r '.download')
	B_RTR_CURL_SPEED_LT=$(echo $B_RTR_CURL_SPEED | jq -r '.latency_ms')
	B_RTR_CURL_SPEED_LJ=$(echo $B_RTR_CURL_SPEED | jq -r '.latency_jitter')

	############################################
	## Int Default Values -- Fixing invalid JSON
	# CPU, RAM, HDD
	# Router A
	if [[ $A_RTR_CURL_CPU == '' ]]; then A_RTR_CURL_CPU=9999; fi
	if [[ $A_RTR_CURL_RAM == '' ]]; then A_RTR_CURL_RAM=9999; fi
	if [[ $A_RTR_CURL_HDD == '' ]]; then A_RTR_CURL_HDD=9999; fi

	# Router B
	if [[ $B_RTR_CURL_CPU == '' ]]; then B_RTR_CURL_CPU=9999; fi
	if [[ $B_RTR_CURL_RAM == '' ]]; then B_RTR_CURL_RAM=9999; fi
	if [[ $B_RTR_CURL_HDD == '' ]]; then B_RTR_CURL_HDD=9999; fi

	# Netcore
	if [[ $CPU == '' ]]; then CPU=9999; fi
	if [[ $RAM == '' ]]; then RAM=9999; fi
	if [[ $HDD == '' ]]; then HDD=9999; fi


	DATE=$(date)

	## API Draw : 
	# 08 02 21 : Adding Speedtest's Up/Down/Latency Speed
	# 03 07 23 : Adding all time
	/bin/echo -ne '' > /var/www/html/api/.routerNetData.json
	/bin/echo -ne '{\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    "date": "'$DATE'",\n' >> /var/www/html/api/.routerNetData.json
        /bin/echo -ne '    "time": "'$SECDATE'",\n' >> /var/www/html/api/.routerNetData.json #SECDATE
	/bin/echo -ne '    "node_a": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ip": "'$A_RTR'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "cpu": '$A_RTR_CURL_CPU',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ram": '$A_RTR_CURL_RAM',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "hdd": '$A_RTR_CURL_HDD',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "up": "'$A_RTR_CURL_LIGHT_UPT'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "up_human": "'$A_RTR_CURL_LIGHT_UPT_HUMAN'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_use": "'$A_RTR_CURL_DATA_USED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_max": "'$A_RTR_CURL_DATA_MAX'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_alltime_rx": "'$A_ALLTIME_DATA_RX'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_alltime_tx": "'$A_ALLTIME_DATA_TX'",\n' >> /var/www/html/api/.routerNetData.json
        /bin/echo -ne '    	    "data_alltime_tt": "'$A_ALLTIME_DATA_TT'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_eth": "'$A_RTR_CURL_DATA_ETH_GB'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "daily": "'$USED_TODAY_A'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "gg_ping": "'$A_RTR_CURL_PING_STATUS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ms_ping": "'$A_RTR_CURL_PING_MS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "tx_speed": "'$A_RTR_CURL_TX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "rx_speed": "'$A_RTR_CURL_RX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "tx_pckts": "'$A_RTR_CURL_TX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "rx_pckts": "'$A_RTR_CURL_RX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_up": "'$A_RTR_CURL_SPEED_UP'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_dl": "'$A_RTR_CURL_SPEED_DL'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_lt": "'$A_RTR_CURL_SPEED_LT'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_lj": "'$A_RTR_CURL_SPEED_LJ'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_use_percent": "'$A_DATA_USAGE_PERCENT'"\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    },\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    "node_b": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ip": "'$B_RTR'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "cpu": '$B_RTR_CURL_CPU',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ram": '$B_RTR_CURL_RAM',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "hdd": '$B_RTR_CURL_HDD',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "up": "'$B_RTR_CURL_LIGHT_UPT'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "up_human": "'$B_RTR_CURL_LIGHT_UPT_HUMAN'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_use": "'$B_RTR_CURL_DATA_USED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_max": "'$B_RTR_CURL_DATA_MAX'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_eth": "'$B_RTR_CURL_DATA_ETH_GB'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "daily": "'$USED_TODAY_B'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "gg_ping": "'$B_RTR_CURL_PING_STATUS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ms_ping": "'$B_RTR_CURL_PING_MS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "tx_speed": "'$B_RTR_CURL_TX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "rx_speed": "'$B_RTR_CURL_RX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "tx_pckts": "'$B_RTR_CURL_TX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "rx_pckts": "'$B_RTR_CURL_RX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_up": "'$B_RTR_CURL_SPEED_UP'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_dl": "'$B_RTR_CURL_SPEED_DL'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_lt": "'$B_RTR_CURL_SPEED_LT'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "speedtest_lj": "'$B_RTR_CURL_SPEED_LJ'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_use_percent": "'$B_DATA_USAGE_PERCENT'"\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    },\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    "netcore": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "cpu": '$CPU',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "ram": '$RAM',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "hdd": '$HDD',\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "up": "'$UPTM_DIF'",\n' >> /var/www/html/api/.routerNetData.json	
	/bin/echo -ne '    	    "up_human": "'$UPTM_DIF_HUMAN'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '         "eth0": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "network": "collector",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "ip": "'$N_RTR_COL'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "total_today": "'$NC_E0_TOTAL_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "rx_today": "'$NC_E0_RX_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "tx_today": "'$NC_E0_TX_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "avg_speed_today": "'$NC_E0_AVGRATE_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "tx_speed": "'$E0TX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "rx_speed": "'$E0RX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "tx_pckts": "'$E0TX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "rx_pckts": "'$E0RX_PCKTS'"\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '        },\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '         "eth1": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "network": "production",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "ip": "'$N_RTR_PRD'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "total_today": "'$NC_E1_TOTAL_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "rx_today": "'$NC_E1_RX_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "tx_today": "'$NC_E1_TX_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "avg_speed_today": "'$NC_E1_AVGRATE_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "tx_speed": "'$E1TX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "rx_speed": "'$E1RX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "tx_pckts": "'$E1TX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	        "rx_pckts": "'$E1RX_PCKTS'"\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '        }\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    },\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    "total": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_use": "'$TOTAL_DATA_USED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_max": "'$TOTAL_DATA_MAX'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "daily": "'$USED_TODAY'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "hourly": "'$USED_HOUR'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "month_rx": "'$NC_E0_MONTH_RX'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "month_tx": "'$NC_E0_MONTH_TX'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "month_total": "'$NC_E0_MONTH_TOTAL'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "month_avg_rate": "'$NC_E0_MONTH_AVGRATE'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "tx_speed": "'$TOTAL_TX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "rx_speed": "'$TOTAL_RX_SPEED'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "tx_pckts": "'$TOTAL_TX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "rx_pckts": "'$TOTAL_RX_PCKTS'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "data_use_percent": "'$TOTAL_DATA_USAGE_PERCENT'"\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    },\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    "netbalancer": {\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "mode": "'$NB_MODE'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "selectedNode": "'$NB_USING'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "realNode": "'$REALNODE'",\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    	    "lastSeen": "'$LS_DIFF'"\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '    }\n' >> /var/www/html/api/.routerNetData.json
	/bin/echo -ne '}\n' >> /var/www/html/api/.routerNetData.json

	mv /var/www/html/api/.routerNetData.json /var/www/html/api/routerNetData.json
	cat /var/www/html/api/routerNetData.json

done
