#!/bin/bash

DD=$(date '+%d')
HH=$(date '+%H')

A_RTR='192.168.0.251'
B_RTR='192.168.0.252'

PERF_API_URL='/api/netPerfs.json'
DATA_API_URL='/api/netData.json'

A_RTR_CURL_DATA_URL=$(echo "http://"$A_RTR$DATA_API_URL)
B_RTR_CURL_DATA_URL=$(echo "http://"$B_RTR$DATA_API_URL)

A_RTR_CURL_DATA=$(/usr/bin/curl --connect-timeout 1 -s $A_RTR_CURL_DATA_URL)
B_RTR_CURL_DATA=$(/usr/bin/curl --connect-timeout 1 -s $B_RTR_CURL_DATA_URL)

A_RTR_CURL_DATA_USED=$(echo $A_RTR_CURL_DATA | jq -r '.gb')
B_RTR_CURL_DATA_USED=$(echo $B_RTR_CURL_DATA | jq -r '.gb')
#.data_max_gb
A_RTR_CURL_DATA_MAX=$(echo $A_RTR_CURL_DATA | jq -r '.data_max_gb')
B_RTR_CURL_DATA_MAX=$(echo $B_RTR_CURL_DATA | jq -r '.data_max_gb')

TOTAL_DATA_USED=$((A_RTR_CURL_DATA_USED+B_RTR_CURL_DATA_USED))
TOTAL_AVAIL_DATA=$((A_RTR_CURL_DATA_MAX+B_RTR_CURL_DATA_MAX))

#### So we have both data we wanted.
# we can have this script called daily or hourly, so wee need to be able to separate stuff.

if [[ $1 == "help" ]]; then
	echo "Use: daily | hourly - will edit the hour/day value, normally set @2359 everyday" 
elif [[ $1 == "daily" ]]; then
	echo $TOTAL_DATA_USED > /root/api/api_data/DD_USED
	echo $A_RTR_CURL_DATA_USED > /root/api/api_data/DD_USED_A
	echo $B_RTR_CURL_DATA_USED > /root/api/api_data/DD_USED_B
elif [[ $1 == "hourly" ]]; then
	echo $TOTAL_DATA_USED > /root/api/api_data/HH_USED
elif [[ $1 == "reset" ]]; then
	echo "Reseting Data..."
else
	echo "Use help" 
	exit 1
fi

## Display generic
echo $TOTAL_AVAIL_DATA > /root/api/api_data/TOTAL_AVAIL_DATA

DD_USED=$(cat /root/api/api_data/DD_USED)
USED_TODAY_SOFAR=$((TOTAL_DATA_USED-DD_USED))
echo $USED_TODAY_SOFAR > /root/api/api_data/$DD #how many gb we've used today
echo $USED_TODAY_SOFAR > /root/api/api_data/TOTAL_DD_SOFAR


HH_USED=$(cat /root/api/api_data/HH_USED)
USED_HH_SOFAR=$((TOTAL_DATA_USED-HH_USED))
echo $USED_HH_SOFAR > /root/api/api_data/TOTAL_HH_SOFAR

TOTAL_MONTH_SOFAR=0
for day in `seq 1 31`; do
	if [[ $1 == 'hourly' ]] && [[ $DD == '00' ]] && [[ $HH == '00' ]]; then
		echo '0' > /root/api/api_data/$day
	elif [[ $1 == 'reset' ]]; then
		echo '0' > /root/api/api_data/$day
	else
		DAY_VAL=$(cat /root/api/api_data/$day)
		TOTAL_MONTH_SOFAR=$((TOTAL_MONTH_SOFAR+DAY_VAL))
	fi
done

echo $TOTAL_MONTH_SOFAR > /root/api/api_data/TOTAL_MONTH_SOFAR

## Returned data:
# TOTAL_MONTH_SOFAR : Total consumed this month (SUM all daily files)
# TOTAL_HH_SOFAR : Data consumed this HH so far.
# TOTAL_DD_SOFAR : Data used aujd so far.
# DD_USED : Base for calculations - Reset @2359 everydays
# HH_USED : Base for calculations - Reset @00 every hours.
