#!/bin/bash
sleep 20

## Netcore
#
#                              Wifi-G
#                             (.10/24)   Wifi-S
#							     ^      (.5 /24)
#                              [AP-G]      ^
#                                |         |
#  [4G] -- (C) -- 0[RPI-NC]1 -- (P) -- 0[AP-S]1 -- (D)
#        .0 /24                .1/24             .137/24
#
## Routes
# 1 --> 1
# 1 --> 0 ?? Default GW !!
# 0 --> 5
# 0 --> 137
# 0 --> 10
# 0 --> 1

# Vers Net
# Default GW
/sbin/ip route add 192.168.0.0/24 via 192.168.0.250 dev eth0

# Vers LAN
/sbin/ip route add 192.168.1.0/24 via 192.168.1.254 dev eth1
/sbin/ip route add 192.168.5.0/24 via 192.168.1.252 dev eth1
/sbin/ip route add 192.168.10.0/24 via 192.168.1.253 dev eth1
/sbin/ip route add 192.168.137.0/24 via 192.168.1.252 dev eth1

/sbin/iptables -t nat -A POSTROUTING -o eth0 -j MASQUERADE
/sbin/iptables -t nat -A POSTROUTING -o eth1 -j MASQUERADE
/sbin/iptables -A FORWARD -i eth1 -o eth0 -m state --state RELATED,ESTABLISHED -j ACCEPT
/sbin/iptables -A FORWARD -i eth0 -o eth1 -j ACCEPT
